Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Interface ParserContext

All Known Implementing Classes:
  AstFunctionDeclaration, DefaultParserContext, EModel

public interface ParserContext

Method Summary
`boolean` | `containsConstant(java.lang.String name)`
`boolean` | `containsVariable(java.lang.String name)`
`void` | `declareConstant(java.lang.String name, java.lang.Object value)` Declares the constant.
`void` | `declareFunction(Function function)` Declares the function.
`void` | `declareVariable(java.lang.String name, java.lang.Object value)` Declares the variable.
`java.lang.Object` | `getConstantValue(java.lang.String name)` Returns the constant value or null if constant not declared.
`Function` | `getFunction(java.lang.String name)` Returns function or operator with the specified name or null if function is not declared.
`java.lang.Object` | `getVariableValue(java.lang.String name)` Returns value of variable with the specified name or null if variable is not declared.

Method Detail

### containsConstant

    public boolean containsConstant(java.lang.String name)

### getConstantValue

    public java.lang.Object getConstantValue(java.lang.String name)

  Returns the constant value or null if constant not declared.

### declareConstant

    public void declareConstant(java.lang.String name,
                                java.lang.Object value)

  Declares the constant.

### containsVariable

    public boolean containsVariable(java.lang.String name)

### getVariableValue

    public java.lang.Object getVariableValue(java.lang.String name)

  Returns value of variable with the specified name or null if variable is not declared.

### declareVariable

    public void declareVariable(java.lang.String name,
                                java.lang.Object value)

  Declares the variable.

### getFunction

    public Function getFunction(java.lang.String name)

  Returns function or operator with the specified name or null if function is not declared.

### declareFunction

    public void declareFunction(Function function)

  Declares the function.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.